> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List analyses



## OpenAPI

````yaml /openapi/phrase-tms-v2.json get /api2/v2/projects/{projectUid}/jobs/{jobUid}/analyses
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: '2'
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Analysis
  - name: Bilingual File
  - name: Connector
  - name: Conversations
  - name: Job
  - name: Net Rate Scheme
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quote
  - name: Reference File
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Webhook
  - name: Workflow changes
paths:
  /api2/v2/projects/{projectUid}/jobs/{jobUid}/analyses:
    get:
      tags:
        - Analysis
        - Job
      summary: List analyses
      operationId: listPartAnalyseV2
      parameters:
        - name: projectUid
          in: path
          required: true
          schema:
            type: string
        - name: pageNumber
          in: query
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
            default: 0
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 50
            default: 50
        - name: jobUid
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageDtoAnalyseV2DtoV2'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
      deprecated: true
components:
  schemas:
    PageDtoAnalyseV2DtoV2:
      type: object
      properties:
        content:
          type: array
          items:
            $ref: '#/components/schemas/AnalyseV2DtoV2'
        numberOfElements:
          type: integer
          format: int32
        pageNumber:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        sort:
          $ref: '#/components/schemas/Sort'
        totalElements:
          type: integer
          format: int32
        totalPages:
          type: integer
          format: int32
    AnalyseV2DtoV2:
      type: object
      properties:
        analyseLanguageParts:
          type: array
          description: Per-language-pair analysis results
          items:
            $ref: '#/components/schemas/AnalyseLanguagePartV2DtoV2'
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
          description: Date and time the analysis was created
        id:
          type: string
          description: Internal numeric identifier, encoded as a string
        name:
          type: string
          description: Analysis name
        netRateScheme:
          $ref: '#/components/schemas/NetRateSchemeReferenceV1'
        provider:
          $ref: '#/components/schemas/ProviderReferenceV1'
        type:
          type: string
          description: >-
            Analysis type. Newly created analyses are PreAnalyse, PostAnalyse or
            Compare; responses may also return internally created types:
            PreAnalyseTarget, PreAnalyseProvider, ContinuousPreAnalyse or
            ContinuousPostAnalyse
          enum:
            - PreAnalyse
            - PostAnalyse
            - PreAnalyseTarget
            - Compare
            - PreAnalyseProvider
            - ContinuousPostAnalyse
            - ContinuousPreAnalyse
        uid:
          type: string
          description: Unique identifier used in API paths
    Sort:
      type: object
      properties:
        orders:
          type: array
          items:
            $ref: '#/components/schemas/SortOrder'
    AnalyseLanguagePartV2DtoV2:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoDataDtoV2'
        discountedData:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoDataDtoV2'
        id:
          type: string
        jobs:
          type: array
          description: Max of 100 jobs returned, use "List jobs of analyses" to get all
          items:
            $ref: '#/components/schemas/AnalyseJobReferenceV1'
        sourceLang:
          type: string
        targetLang:
          type: string
    UserReferenceV1:
      type: object
      properties:
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        id:
          type: string
          description: Unique numeric identifier of the user
        lastName:
          type: string
          description: Last name of the user
        role:
          type: string
          description: Role of the user in the organization
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
          description: Unique string identifier of the user
        userName:
          type: string
          description: Username of the user
    NetRateSchemeReferenceV1:
      type: object
      properties:
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
          description: Date and time the scheme was created
        id:
          type: string
          description: Internal numeric identifier, encoded as a string
        isDefault:
          type: boolean
          description: >-
            Whether this scheme is the organization default applied when none is
            specified
        name:
          type: string
          description: Name of the net rate scheme
        uid:
          type: string
          description: Unique identifier used in API paths
    ProviderReferenceV1:
      type: object
      required:
        - type
      discriminator:
        propertyName: type
      properties:
        id:
          type: string
        type:
          type: string
        uid:
          type: string
          description: UID of the provider
          readOnly: true
    SortOrder:
      type: object
      properties:
        direction:
          type: string
          enum:
            - ASC
            - DESC
        property:
          type: string
    AnalyseLanguagePartV2DtoDataDtoV2:
      type: object
      properties:
        all:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        available:
          type: boolean
        machineTranslationMatches:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoMatchCountsDtoV2'
        nonTranslatablesMatches:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoMatchCountsNTDtoV2'
        repetitions:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        transMemoryMatches:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoMatchCounts101DtoV2'
    AnalyseJobReferenceV1:
      type: object
      properties:
        filename:
          type: string
          description: Job file name
        innerId:
          type: string
          description: Sequential number of the job within the project
        jobUid:
          type: string
          description: Unique identifier of the source job
        uid:
          type: string
          description: Unique identifier of the analysed job used in API paths
    AnalyseLanguagePartV2DtoCountsDtoV2:
      type: object
      properties:
        characters:
          type: number
          format: double
        editingTime:
          type: number
          format: double
        normalizedPages:
          type: number
          format: double
        percent:
          type: number
          format: double
        segments:
          type: number
          format: double
        words:
          type: number
          format: double
    AnalyseLanguagePartV2DtoMatchCountsDtoV2:
      type: object
      properties:
        match0:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        match100:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        match50:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        match75:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        match85:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        match95:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
    AnalyseLanguagePartV2DtoMatchCountsNTDtoV2:
      type: object
      properties:
        match100:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        match99:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
    AnalyseLanguagePartV2DtoMatchCounts101DtoV2:
      type: object
      properties:
        match0:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        match100:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        match101:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        match50:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        match75:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        match85:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
        match95:
          $ref: '#/components/schemas/AnalyseLanguagePartV2DtoCountsDtoV2'
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````